@import url('https://fonts.googleapis.com/css2?family=Baloo+2:wght@400..800&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,400;0,700;1,400&display=swap');

:root{
    /* colors */
    --colorPrimary: #23242C;
    --colorSecundary: #F29200;
    --colorMen: #a4cdfc;
    --colorGirl: #FF8BD1;
    --colorGray: #ccc;
    --colorWhite: #FFFFFF;

    /* font */
    --fontPrimary: "Poppins", sans-serif;
}

::-webkit-scrollbar{
    width: 10px;
}

::-webkit-scrollbar-track{
    background-color: var(--colorPrimary);
    border-radius: 50px;
}

::-webkit-scrollbar-thumb{
    background-color: var(--colorSecundary); 
    border-radius: 50px;
}

*{
    box-sizing: border-box;
    text-decoration: none;
    font-family: var(--fontPrimary);
    color: var(--colorPrimary);
    font-weight: 500;
    font-size: 18px;
    outline: none;
    padding: 0px;
    margin: 0px;
}

body{
    background-color: #ffffff;
    /* overflow-y: hidden; */
}

.hidden{
    display: none;
}

.conteinerStart{
    display: none;
}



.conteinerQuizes{
    height: 70vh;
    /* padding: 0px 20px; */
    display: flex;
    /* display: none; */
    flex-direction: column;
    justify-content: space-between;
}

@media (max-width: 500px){
    .conteinerQuizes{
        height: 90vh;
    }
}

.blockConteiner{
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    padding: 0px 20px;
}


.divLabelInput{
    /* width: 100%; */
    display: flex;
    flex-direction: column;
    gap: 3px;
    margin: 0px 0px 10px;
}

.conteiner10 .divLabelInput{
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 3px;
    margin: 0px 0px 10px;
}

img{
    width: 100%;
}

a{
    display: inline-block;
}

p, label{
    line-height: 1.2em;
    text-align: center;
}

label, span{
    line-height: 1.2em;
    text-align: start;
}

.conteiner07 span{
    line-height: 1.1em;
}

input{
    height: 44px;
    border-radius: 30px;
    border: 1px solid var(--colorPrimary);
    padding: 5px 15px;
    text-align: center;
}

input::placeholder{
    color: var(--colorPrimary);
    opacity: 40%;
    font-style: italic;
    text-align: center;
}

.logoStart{
    display: flex;
    justify-content: center;
    background-color: var(--colorPrimary);
    clip-path: ellipse(75% 95% at 50% 0%);
    padding: 15px 0;
}

.logoStart img{
    width: 60px;
}

.buttonStart{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
}

.buttonStart img{
    width: 20px;
}

.conteinerButtonStart{
    width: 100%;
}


/* ----------------------------- */

/* .conteinerEnd{
    height: 100vh;
} */


.blockEnd{
    display: flex;
    flex-direction: column;
    /* justify-content: center; */
    align-items: center;
    gap: 15px;
    width: min(100%, 500px);
    margin: 0px auto 0px;
    padding: 10px 20px 0px;
}

.blockEnd h2{
    font-size: 33px;
    line-height: 1.1em;
    font-weight: bold;
    text-align: center;
}

.logoEnd{
    /* width: 100%; */
    display: flex;
    justify-content: center;
    /* background-color: var(--colorPrimary); */
    /* clip-path: ellipse(75% 95% at 50% 100%); */
    padding: 15px 0;
}

.logoEnd img{
    width: 60px;
}

.blockTitleEnd{
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
}

.blockTitleEnd p:nth-child(1){
    width: 350px;
    text-align: center;
    font-size: 60px;
    font-weight: bold;
    color: var(--colorSecundary);
    background-color: #234C69;
    padding: 10px;
    transform: rotate(-2deg);
}

.blockTitleEnd p:nth-child(2){
    /* width: 200px; */
    text-align: center;
    font-size: 130px;
    font-weight: bold;
    color: #234C69;
    background-color: var(--colorSecundary);
    padding:2px 10px;
    transform: rotate(5deg);
}

.mt10, .mt30, .mt50 {
    width: 100%;
}

.mt10{
    margin-top: 10px;
}
.mt30{
    margin-top: 30px;
}
.mt50{
    margin-top: 50px;
}

/* ---------------------------- */

.header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    max-width: 500px;
    padding: 15px 0px;
    /* background-color: #ffffff; */
    /* box-shadow: 0 2px 4px rgba(0,0,0,0.1); */
}

.back-button {
    display: flex;
    align-items: center;
    gap: .4em;
    color: var(--colorSecundary);
    text-decoration: none;
    /* font-size: 16px; */
    cursor: pointer;
}

.step-indicator span{
    /* font-weight: bold; */
    /* font-size: 18px; */
    color: var(--colorSecundary);
}


.logo{
    display: flex;
    align-items: center;
}

.logo img {
    /* height: 30px; */
    width: 42px;
}

.progress-container {
    width: 100%;
    /* max-width: 300px; */
    height: 8px;
    background-color: var(--colorPrimary);
    border-radius: 4px;
    overflow: hidden;
    /* margin: 0px 0px 20px; */
    margin-bottom: 30px;
}
.progress-bar {
    width: 0;
    height: 100%;
    background-color: var(--colorSecundary); /* Cor laranja */
    transition: width 0.3s ease;
}

.conteiner02, .conteiner03, .conteiner04, .conteiner05, .conteiner06, .conteiner07, .conteiner08, .conteiner09, .conteiner10, .conteiner11, .conteiner12, .conteiner13, .conteiner14, .conteiner15, .conteiner16, .conteiner17, .conteiner18, .conteiner19{
    width: min(100%, 500px);
}

.conteinerInputs{
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.conteiner10 .blockInputs{
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.conteinerQuizes {
    display: flex;
    justify-content: flex-start;
}

.conteinerQuizes, #step19 {
    background: url('../../public/images/fundo-home.jpg') no-repeat center center; 
    background-size: cover; 
    width: 100%;
    height: 100vh;
}

.step-17 .privacyContainer {
    display: none !important;
}

.step0-bg1, .step0-bg3 {
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
}
.step0-bg1 {
    margin-top: -50px;
    padding-top: 100px;
}

.step0-bg2, .step0-bg2-1 {
    padding: 25px 0 75px;
    background: #fff;
}
.step0-bg2 {
    margin-bottom: -40px;
}

.step0-bg3 {
    min-height: 200px;
    background: url('../../public/images/fundo-home.jpg') no-repeat center center; 
    background-size: cover; 
}

.aviao {
    width: 100%;
    margin-top: -45px;
    display: flex;
    align-items: flex-end;
    justify-content: right;
}
.aviao img {
    max-width: 130px;
}

.step0-bg3 .texts {
    padding-top: 45px;
    max-width: 550px;
    
}
.step0-bg3 .texts p, #sendingMessage {
    font-size: 22px;
    font-weight: 500;
}
#sendingMessage{
    margin-top: 20px;
    text-align: center;
}

.blockInputs label {
    text-align: center;
}

.worldImage {
    display: flex;
    align-items: center;
    justify-content: center;
}
.worldImage img{
    width: 330px;
}

.blockStart{
    display: flex;
    flex-direction: column;
    /* justify-content: center; */
    align-items: center;
    gap: 15px;
    width: min(100%, 570px);
    margin: 15px auto 0px;
    padding: 0px 20px 20px;
}

.blockStart h2{
    font-size: 33px;
    line-height: 1.1em;
    font-weight: bold;
    text-align: center;
}

.blockStart .buttonStart{
    width: min(100%, 500px);
    margin: 0px auto;
    padding: 10px;
    color: white;
    background-color: var(--colorSecundary);
    border-radius: 30px;
    text-align: center;
    cursor: pointer;
}

.privacyContainer {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
}

.privacyContainer p.privacidadeTermos{
    max-width: 480px;
    font-size: 10px;
}

.privacyContainer p.privacidadeTermos span{
    color: var(--colorSecundary);
    font-size: 10px;
}


.conteiner02 > p, .conteiner08 > p{
    text-align: center;
}

.imagesBackground{
    margin: 15px auto;
    width: min(100%, 500px);
    height: 200px;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    border-radius: 30px;
}

.imagesGeners{
    display: none;
}

.imagesGeners1{
    display: flex;
    justify-content: center;
    gap: 2.5em;
    padding: 10px 0px;
}

.imagesGeners1 .image-checkbox {
    align-items: center;
}

.imagesGeners1 .image-checkbox img{
    width: min(100%, 150px);
}

.imagesGeners1 .image-checkbox label[for="feminino"] {
    color: var(--colorGirl);
    font-weight: 600;
}
.imagesGeners1 .image-checkbox label[for="masculino"] {
    color: var(--colorMen);
    font-weight: 600;
}

.imageGirl, .imageMen, .imageIndiv{
    display: flex;
    flex-direction: column;
    align-items: center;
    cursor: pointer;
}


p.girl, p.men{
    transition: .5s all;
}

.imageGirl p.activeGirl{
    color: var(--colorGirl);
    font-weight: 600;
}

.imageMen p.activeMen{
    color: var(--colorMen);
    font-weight: 600;
}

.imageGirl:hover > p.girl{
    color: var(--colorGirl);
    font-weight: 600;
}

.imageMen:hover > p.men{
    color: var(--colorMen);
    font-weight: 600;
}

.conteinerButtonNext{
    display: flex;
    justify-content: center;
    padding: 10px 20px 15px;
    /* margin: 0 auto; */
    width: 100%;
}

.buttonNext{
    width: min(100%, 400px);
    margin: 0px auto;
    padding: 10px;
    background-color: var(--colorSecundary);
    color: var(--colorWhite);
    border-radius: 30px;
    text-align: center;
    cursor: pointer;
    font-size: 25px;
}


p.titleName, p.titleDefault{
    margin-bottom: 15px;
}
p.titleName strong, p.pTop strong, strong {
    font-weight: 700;
}

p.pTop{
    margin: 20px;
}

.numeric-input-container {
    width: 100%;
    display: flex;
    align-items: center;
    border: 1px solid var(--colorPrimary);
    border-radius: 30px;
    overflow: hidden;
}
.numeric-input-button {
    background-color: transparent;
    border: none;
    color: var(--colorPrimary);
    font-size: 30px;
    padding: 0px 15px;
    cursor: pointer;
    transition: opacity 0.3s;
}
.numeric-input-button:hover {
    opacity: 0.7;
}
.numeric-input-field {
    flex-grow: 1;
    border: none;
    text-align: center;
    font-size: 20px;
    padding: 10px;
    width: 50px;
    background-color: transparent;
    color: var(--colorPrimary);
}
.numeric-input-field::-webkit-inner-spin-button, 
.numeric-input-field::-webkit-outer-spin-button { 
    -webkit-appearance: none;
    margin: 0;
}
.numeric-input-label {
    font-weight: bold;
    color: var(--colorPrimary);
}

h2 {
    color: #333;
}

.conteiner04 .image-grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr); /* 2 colunas */
    gap: 20px;
    justify-content: start; /* Alinha as colunas à esquerda */
    margin-bottom: 20px;
}

.conteiner12 .image-grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr); /* 2 colunas */
    gap: 20px;
    justify-content: start; /* Alinha as colunas à esquerda */
    margin-bottom: 20px;
}

@media (max-width: 490px){
    .conteiner12 .image-grid {
        grid-template-columns: repeat(2, 1fr); /* 2 colunas */
    }
}

.conteiner13 .image-grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr); /* 2 colunas */
    gap: 20px;
    justify-content: start; /* Alinha as colunas à esquerda */
    margin-bottom: 20px;
}


.image-checkbox {
    /* grid-area: 5; */
    display: flex;
    flex-direction: column;
    cursor: pointer;
    transition: transform 0.3s ease;
    width: 100%;
}
.image-checkbox:hover {
    transform: translateY(-5px);
}
.image-wrapper {
    position: relative;
    border-radius: 30px;
    overflow: hidden;
    margin-bottom: 8px;
}
.image-checkbox img {
    width: 100%;
    height: auto;
    display: block;
    transition: filter 0.3s ease;
}
.image-checkbox input {
    display: none;
}
.image-checkbox label {
    text-align: center;
    font-size: 15px;
    color: #333;
}
.image-checkbox.selected .image-wrapper::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(244, 140, 34, 0.6); /* #F48C22 com 60% de opacidade */
    pointer-events: none;
}



/* ---------------- */


@media (max-width: 450px){
    #idTextDataDeIda, #idTextDataDeVolta{
        width: 150px;
        /* width: min(100%, 150px); */
    }
}

@media (max-width: 350px){
    #idTextDataDeIda, #idTextDataDeVolta{
        width: 120px;
        /* width: min(100%, 150px); */
    }
}

.dataIda, .dataVolta{
    display: flex;
    gap: 20px;
    align-items: flex-end;
}

.radio-container {
    display: flex;
    flex-direction: column;
    gap: 10px;
    width: 100%;
}
.radio-button {
    flex: 1;
    display: flex;
    align-items: center;
    background-color: white;
    border: 1px solid var(--colorPrimary);
    border-radius: 30px;
    height: 44px;
    padding: 12px 15px;
    cursor: pointer;
    transition: all 0.3s ease;
    margin: 0px 0px 10px;
}
.radio-button input[type="radio"] {
    display: none;
}
.radio-button label {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    cursor: pointer;
    background-color: white;
    font-size: 14px;
    color: var(--colorPrimary);
    font-weight: 500;
}
.checkmark {
    width: 18px;
    height: 18px;
    border-radius: 50%;
    border: 2px solid #5f6368;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-left: 10px;
    transition: all 0.3s ease;
    flex-shrink: 0;
}
.checkmark::after {
    content: '\2714';
    display: none;
    color: white;
    font-size: 12px;
    padding-top: 2px;
    font-weight: bold;
}
.radio-button input[type="radio"]:checked + label .checkmark {
    background: var(--colorPrimary);
    border-color: var(--colorPrimary);
}
.radio-button input[type="radio"]:checked + label .checkmark::after {
    display: block;
}
.radio-button input[type="radio"]:checked + label {
    color: var(--colorPrimary);
}

.date-input {
    width: 100%;
    padding: 8px 12px;
    font-size: 14px; 
    border: 1px solid #23242C;
    border-radius: 15px; 
    color: #23242C;
    outline: none;
    box-sizing: border-box;
}
.date-input::placeholder {
    color: #23242C;
    opacity: 0.5;
}


.input-error{
    border: 1px solid rgb(202, 0, 0);
}

#idTextTelefone::-webkit-inner-spin-button {
    -webkit-appearance: none;
}

#idTextTelefone {
    -moz-appearance: textfield;
}

.blockImg{
    width: min(100%, 75px);
}

.blockImgNumber{
    display: flex;
    align-items: center;
    gap: 10px;
}

